# Common make definitions for C programs

CC=gcc
CFLAGS=-O -fno-defer-pop -I..
RUNTIME32=..\..\go32\go32.exe

clean:
	rm -f $(OUTPUT) $(GENSOURCES)
	rm -f *.o *.a *.out

.c.o:
	$(CC) $(CFLAGS) -c {$< }

.out.exe:
	coff2exe -s $(RUNTIME32) $<

depend: $(GENSOURCES)
	mv makefile makefile.bak
	perl ../tools/cutdeps makefile.bak > makefile
	gcc -MM $(CFLAGS) *.c >> makefile
	rm -f makefile.bak

